TransitionSystem (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class TransitionSystem

    java.lang.Object
      org.maltparser.parser.TransitionSystem

Direct Known Subclasses:
  ArcEager, ArcStandard, NonProjective, NonProjective, Planar, Projective, Projective, TwoPlanar

    public abstract class TransitionSystem

extends Object

Author:
  Johan Hall

Field Summary
`protected ActionContainer[]` | `actionContainers`
`protected ActionContainer[]` | `arcLabelActionContainers`
`protected PropagationManager` | `propagationManager`
`protected HashMap<String,TableHandler>` | `tableHandlers`
`protected ActionContainer` | `transActionContainer`
`protected TransitionTableHandler` | `transitionTableHandler`

Constructor Summary
`TransitionSystem()`

Method Summary
`protected abstract void` | `addAvailableTransitionToTable(TransitionTable ttable)`
`protected void` | `addEdgeLabels(Edge e)`
`abstract void` | `apply(GuideUserAction currentAction, ParserConfiguration config)`
`void` | `copyAction(GuideUserAction source, GuideUserAction target)`
`abstract GuideUserAction` | `defaultAction(GuideUserHistory history, ParserConfiguration configuration)`
`String` | `getActionString(GuideUserAction action)`
`abstract GuideUserAction` | `getDeterministicAction(GuideUserHistory history, ParserConfiguration config)`
`abstract String` | `getName()`
`PropagationManager` | `getPropagationManager()`
`HashMap<String,TableHandler>` | `getTableHandlers()`
`TransitionTableHandler` | `getTransitionTableHandler()`
`void` | `initTableHandlers(String decisionSettings, SymbolTableHandler symbolTableHandler)`
`void` | `initTransitionSystem(GuideUserHistory history)`
`protected abstract void` | `initWithDefaultTransitions(GuideUserHistory history)`
`protected boolean` | `isActionContainersLabeled()`
`abstract boolean` | `permissible(GuideUserAction currentAction, ParserConfiguration config)`
`void` | `setPropagationManager(PropagationManager propagationManager)`
`protected GuideUserAction` | `updateActionContainers(GuideUserHistory history, int transition, LabelSet arcLabels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableHandlers

    protected HashMap<String,TableHandler> tableHandlers

### transitionTableHandler

    protected TransitionTableHandler transitionTableHandler

### actionContainers

    protected ActionContainer[] actionContainers

### transActionContainer

    protected ActionContainer transActionContainer

### arcLabelActionContainers

    protected ActionContainer[] arcLabelActionContainers

### propagationManager

    protected PropagationManager propagationManager

Constructor Detail

### TransitionSystem

    public TransitionSystem()
                     throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### apply

    public abstract void apply(GuideUserAction currentAction,
                               ParserConfiguration config)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### permissible

    public abstract boolean permissible(GuideUserAction currentAction,
                                        ParserConfiguration config)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDeterministicAction

    public abstract GuideUserAction getDeterministicAction(GuideUserHistory history,
                                                           ParserConfiguration config)
                                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### addAvailableTransitionToTable

    protected abstract void addAvailableTransitionToTable(TransitionTable ttable)
                                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### initWithDefaultTransitions

    protected abstract void initWithDefaultTransitions(GuideUserHistory history)
                                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### getName

    public abstract String getName()

### defaultAction

    public abstract GuideUserAction defaultAction(GuideUserHistory history,
                                                  ParserConfiguration configuration)
                                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### updateActionContainers

    protected GuideUserAction updateActionContainers(GuideUserHistory history,
                                                     int transition,
                                                     LabelSet arcLabels)
                                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### isActionContainersLabeled

    protected boolean isActionContainersLabeled()

### addEdgeLabels

    protected void addEdgeLabels(Edge e)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### initTransitionSystem

    public void initTransitionSystem(GuideUserHistory history)
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### initTableHandlers

    public void initTableHandlers(String decisionSettings,
                                  SymbolTableHandler symbolTableHandler)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### copyAction

    public void copyAction(GuideUserAction source,
                           GuideUserAction target)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### getTableHandlers

    public HashMap<String,TableHandler> getTableHandlers()

### getTransitionTableHandler

    public TransitionTableHandler getTransitionTableHandler()

### getPropagationManager

    public PropagationManager getPropagationManager()

### setPropagationManager

    public void setPropagationManager(PropagationManager propagationManager)

### getActionString

    public String getActionString(GuideUserAction action)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.